## openh264 2.2.0%2Bdfsg

=== Makefile ===
SRC_PATH=$(word 1, $(dir $(MAKEFILE_LIST)))
vpath %.c $(SRC_PATH)
vpath %.cc $(SRC_PATH)
vpath %.cpp $(SRC_PATH)
vpath %.asm $(SRC_PATH)
vpath %.S $(SRC_PATH)
vpath %.rc $(SRC_PATH)
vpath %.pc.in $(SRC_PATH)

OS=$(shell uname | tr A-Z a-z | tr -d \\-0-9. | sed -E 's/^(net|open|free)bsd/bsd/')
ARCH=$(shell uname -m)
LIBPREFIX=lib
LIBSUFFIX=a
CCAS=$(CC)
CXX_O=-o $@
CXX_LINK_O=-o $@
AR_OPTS=cr $@
LINK_LOCAL_DIR=-L.
LINK_LIB=-l$(1)
CFLAGS_OPT=-O3
CFLAGS_DEBUG=-g
BUILDTYPE=Release
V=Yes
PREFIX=/usr/local
SHARED=-shared
OBJ=o
DESTDIR=
LIBDIR_NAME=lib
SHAREDLIB_DIR=$(PREFIX)/lib
PROJECT_NAME=openh264
MODULE_NAME=gmpopenh264
GMP_API_BRANCH=Firefox39
GTEST_VER=release-1.8.1
CCASFLAGS=$(CFLAGS)
STATIC_LDFLAGS=-lstdc++
STRIP ?= strip
USE_STACK_PROTECTOR = Yes

SHAREDLIB_MAJORVERSION=6
FULL_VERSION := 2.2.0

ifeq (,$(wildcard $(SRC_PATH)gmp-api))
HAVE_GMP_API=No
else
HAVE_GMP_API=Yes
endif

ifeq (,$(wildcard $(SRC_PATH)gtest))
HAVE_GTEST=No
else
HAVE_GTEST=Yes
endif

# Configurations
ifeq ($(BUILDTYPE), Release)
CFLAGS += $(CFLAGS_OPT)
CFLAGS += -DNDEBUG
USE_ASM = Yes
ifeq ($(DEBUGSYMBOLS), True)
CFLAGS += -g
CXXFLAGS += -g
DEBUGSYMBOLS_TAG := _debug_symbols
PROCESS_FILES := True
endif
else
CFLAGS += $(CFLAGS_DEBUG)
USE_ASM = No
endif

ifeq ($(USE_ASAN), Yes)
CFLAGS += -fsanitize=address
LDFLAGS += -fsanitize=address
endif

STRIP_FLAGS := -S
ifeq (linux, $((OS)))
STRIP_FLAGS := -g
endif

# Make sure the all target is the first one
all: libraries binaries

include $(SRC_PATH)build/platform-$(OS).mk

MODULE := $(LIBPREFIX)$(MODULE_NAME).$(SHAREDLIBSUFFIX)

CFLAGS += -DGENERATED_VERSION_HEADER
LDFLAGS +=

ifeq (Yes, $(GCOV))
CFLAGS += -fprofile-arcs -ftest-coverage
LDFLAGS += -lgcov
endif

#### No user-serviceable parts below this line
ifneq ($(V),Yes)
    QUIET_CXX  = @printf "CXX\t$@\n";
    QUIET_CC   = @printf "CC\t$@\n";
    QUIET_CCAS = @printf "CCAS\t$@\n";
    QUIET_ASM  = @printf "ASM\t$@\n";
    QUIET_AR   = @printf "AR\t$@\n";
    QUIET_RC   = @printf "RC\t$@\n";
    QUIET      = @
endif


INCLUDES += -I$(SRC_PATH)codec/api/svc -I$(SRC_PATH)codec/common/inc -Icodec/common/inc

DECODER_INCLUDES += \
    -I$(SRC_PATH)codec/decoder/core/inc \
    -I$(SRC_PATH)codec/decoder/plus/inc

ENCODER_INCLUDES += \
    -I$(SRC_PATH)codec/encoder/core/inc \
    -I$(SRC_PATH)codec/encoder/plus/inc \
    -I$(SRC_PATH)codec/processing/interface

PROCESSING_INCLUDES += \
    -I$(SRC_PATH)codec/processing/interface \
    -I$(SRC_PATH)codec/processing/src/common \
    -I$(SRC_PATH)codec/processing/src/adaptivequantization \
    -I$(SRC_PATH)codec/processing/src/downsample \
    -I$(SRC_PATH)codec/processing/src/scrolldetection \
    -I$(SRC_PATH)codec/processing/src/vaacalc

GTEST_INCLUDES += \
    -I$(SRC_PATH)gtest/googletest \
    -I$(SRC_PATH)gtest/googletest/include

CODEC_UNITTEST_INCLUDES += \
    -I$(SRC_PATH)gtest/googletest/include \
    -I$(SRC_PATH)codec/common/inc \
    -I$(SRC_PATH)test

CONSOLE_COMMON_INCLUDES += \
    -I$(SRC_PATH)codec/console/common/inc

H264DEC_INCLUDES += $(DECODER_INCLUDES) $(CONSOLE_COMMON_INCLUDES) -I$(SRC_PATH)codec/console/dec/inc
H264DEC_LDFLAGS = $(LINK_LOCAL_DIR) $(call LINK_LIB,decoder) $(call LINK_LIB,common) $(call LINK_LIB,console_common)
H264DEC_DEPS = $(LIBPREFIX)decoder.$(LIBSUFFIX) $(LIBPREFIX)common.$(LIBSUFFIX) $(LIBPREFIX)console_common.$(LIBSUFFIX)

H264ENC_INCLUDES += $(ENCODER_INCLUDES) $(CONSOLE_COMMON_INCLUDES) -I$(SRC_PATH)codec/console/enc/inc
H264ENC_LDFLAGS = $(LINK_LOCAL_DIR) $(call LINK_LIB,encoder) $(call LINK_LIB,processing) $(call LINK_LIB,common) $(call LINK_LIB,console_common)
H264ENC_DEPS = $(LIBPREFIX)encoder.$(LIBSUFFIX) $(LIBPREFIX)processing.$(LIBSUFFIX) $(LIBPREFIX)common.$(LIBSUFFIX) $(LIBPREFIX)console_common.$(LIBSUFFIX)

CODEC_UNITTEST_LDFLAGS = $(LINK_LOCAL_DIR) $(call LINK_LIB,gtest) $(call LINK_LIB,decoder) $(call LINK_LIB,encoder) $(call LINK_LIB,processing) $(call LINK_LIB,common) $(CODEC_UNITTEST_LDFLAGS_SUFFIX)
CODEC_UNITTEST_DEPS = $(LIBPREFIX)gtest.$(LIBSUFFIX) $(LIBPREFIX)decoder.$(LIBSUFFIX) $(LIBPREFIX)encoder.$(LIBSUFFIX) $(LIBPREFIX)processing.$(LIBSUFFIX) $(LIBPREFIX)common.$(LIBSUFFIX)
DECODER_UNITTEST_INCLUDES += $(CODEC_UNITTEST_INCLUDES) $(DECODER_INCLUDES)
ENCODER_UNITTEST_INCLUDES += $(CODEC_UNITTEST_INCLUDES) $(ENCODER_INCLUDES)
PROCESSING_UNITTEST_INCLUDES += $(CODEC_UNITTEST_INCLUDES) $(PROCESSING_INCLUDES)
API_TEST_INCLUDES += $(CODEC_UNITTEST_INCLUDES)
COMMON_UNITTEST_INCLUDES += $(CODEC_UNITTEST_INCLUDES)
MODULE_INCLUDES += -I$(SRC_PATH)gmp-api

DECODER_UNITTEST_CFLAGS += $(CODEC_UNITTEST_CFLAGS)
ENCODER_UNITTEST_CFLAGS += $(CODEC_UNITTEST_CFLAGS)
PROCESSING_UNITTEST_CFLAGS += $(CODEC_UNITTEST_CFLAGS)
API_TEST_CFLAGS += $(CODEC_UNITTEST_CFLAGS)
COMMON_UNITTEST_CFLAGS += $(CODEC_UNITTEST_CFLAGS)

.PHONY: test gtest-bootstrap clean $(PROJECT_NAME).pc $(PROJECT_NAME)-static.pc

generate-version:
	$(QUIET)sh $(SRC_PATH)codec/common/generate_version.sh $(SRC_PATH)

codec/decoder/plus/src/welsDecoderExt.$(OBJ): | generate-version
codec/encoder/plus/src/welsEncoderExt.$(OBJ): | generate-version

clean:
ifeq (android,$(OS))
clean: clean_Android
endif
	$(QUIET)rm -f $(OBJS) $(OBJS:.$(OBJ)=.d) $(OBJS:.$(OBJ)=.obj) $(LIBRARIES) $(BINARIES) *.lib *.a *.dylib *.dll *.so *.so.* *.exe *.pdb *.exp *.pc *.res *.map $(SRC_PATH)codec/common/inc/version_gen.h

gmp-bootstrap:
	if [ ! -d gmp-api ] ; then git clone https://github.com/mozilla/gmp-api gmp-api ; fi
	cd gmp-api && git fetch origin && git checkout $(GMP_API_BRANCH)

gtest-bootstrap:
	if [ ! -d gtest ] ; then git clone https://github.com/google/googletest.git gtest && \
       cd gtest && git checkout -b $(GTEST_VER) $(GTEST_VER) ; fi

ifeq ($(HAVE_GTEST),Yes)

ifneq (android,$(OS))
ifneq (ios,$(OS))
ifneq (msvc-wp,$(OS))
BUILD_UT_EXE=Yes
endif
endif
endif

test: codec_unittest$(EXEEXT)
ifeq ($(BUILD_UT_EXE), Yes)
	./codec_unittest
endif

else
test:
	@echo "./gtest: No such file or directory."
	@echo "You do not have gtest. Run make gtest-bootstrap to get gtest"
endif

include $(SRC_PATH)codec/common/targets.mk
include $(SRC_PATH)codec/decoder/targets.mk
include $(SRC_PATH)codec/encoder/targets.mk
include $(SRC_PATH)codec/processing/targets.mk

ifeq ($(HAVE_GMP_API),Yes)
include $(SRC_PATH)module/targets.mk
endif

ifneq (android, $(OS))
ifneq (ios, $(OS))
ifneq (msvc-wp, $(OS))
include $(SRC_PATH)codec/console/dec/targets.mk
include $(SRC_PATH)codec/console/enc/targets.mk
include $(SRC_PATH)codec/console/common/targets.mk
endif
endif
endif

libraries: $(LIBPREFIX)$(PROJECT_NAME).$(LIBSUFFIX)

# No point in building dylib for ios
ifneq (ios, $(OS))
libraries: $(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIX)
endif

LIBRARIES += $(LIBPREFIX)$(PROJECT_NAME).$(LIBSUFFIX) $(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIXFULLVER)

$(LIBPREFIX)$(PROJECT_NAME).$(LIBSUFFIX): $(ENCODER_OBJS) $(DECODER_OBJS) $(PROCESSING_OBJS) $(COMMON_OBJS)
	$(QUIET)rm -f $@
	$(QUIET_AR)$(AR) $(AR_OPTS) $+
ifeq (True, $(PROCESS_FILES))
	cp $@ $(LIBPREFIX)$(PROJECT_NAME)$(DEBUGSYMBOLS_TAG).$(LIBSUFFIX)
	$(STRIP) $(STRIP_FLAGS) $@ -o $@
endif

$(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIXFULLVER): $(ENCODER_OBJS) $(DECODER_OBJS) $(PROCESSING_OBJS) $(COMMON_OBJS)
	$(QUIET)rm -f $@
	$(QUIET_CXX)$(CXX) $(SHARED) $(CXX_LINK_O) $+ $(LDFLAGS) $(SHLDFLAGS)
ifeq (True, $(PROCESS_FILES))
	cp $@ $(LIBPREFIX)$(PROJECT_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIXFULLVER)
	$(STRIP) $(STRIP_FLAGS) $@ -o $@
endif

ifneq ($(SHAREDLIBSUFFIXFULLVER),$(SHAREDLIBSUFFIX))
$(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIX): $(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIXFULLVER)
	$(QUIET)ln -sfn $+ $(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIXMAJORVER)
	$(QUIET)ln -sfn $(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIXMAJORVER) $@
ifeq (True, $(PROCESS_FILES))
	$(QUIET)ln -sfn $(LIBPREFIX)$(PROJECT_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIXFULLVER) $(LIBPREFIX)$(PROJECT_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIXMAJORVER)
	$(QUIET)ln -sfn $(LIBPREFIX)$(PROJECT_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIXMAJORVER) $(LIBPREFIX)$(PROJECT_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIX)
endif
endif

ifeq ($(HAVE_GMP_API),Yes)
plugin: $(MODULE)
LIBRARIES += $(LIBPREFIX)$(MODULE_NAME).$(SHAREDLIBSUFFIXFULLVER)
else
plugin:
	@echo "./gmp-api: No such file or directory."
	@echo "You do not have gmp-api.  Run make gmp-bootstrap to get the gmp-api headers."
endif

echo-plugin-name:
	@echo $(MODULE)

$(LIBPREFIX)$(MODULE_NAME).$(SHAREDLIBSUFFIXFULLVER): $(MODULE_OBJS) $(ENCODER_OBJS) $(DECODER_OBJS) $(PROCESSING_OBJS) $(COMMON_OBJS)
	$(QUIET)rm -f $@
	$(QUIET_CXX)$(CXX) $(SHARED) $(CXX_LINK_O) $+ $(LDFLAGS) $(SHLDFLAGS) $(MODULE_LDFLAGS)
ifeq (True, $(PROCESS_FILES))
	cp $@ $(LIBPREFIX)$(MODULE_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIXFULLVER)
	$(STRIP) $(STRIP_FLAGS) $@ -o $@
endif

ifneq ($(SHAREDLIBSUFFIXFULLVER),$(SHAREDLIBSUFFIX))
$(MODULE): $(LIBPREFIX)$(MODULE_NAME).$(SHAREDLIBSUFFIXFULLVER)
	$(QUIET)ln -sfn $+ $(LIBPREFIX)$(MODULE_NAME).$(SHAREDLIBSUFFIXMAJORVER)
	$(QUIET)ln -sfn $(LIBPREFIX)$(MODULE_NAME).$(SHAREDLIBSUFFIXMAJORVER) $@
ifeq (True, $(PROCESS_FILES))
	$(QUIET)ln -sfn $(LIBPREFIX)$(MODULE_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIXFULLVER) $(LIBPREFIX)$(MODULE_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIXMAJORVER)
	$(QUIET)ln -sfn $(LIBPREFIX)$(MODULE_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIXMAJORVER) $(LIBPREFIX)$(MODULE_NAME)$(DEBUGSYMBOLS_TAG).$(SHAREDLIBSUFFIX)
endif
endif

$(PROJECT_NAME).pc: $(PROJECT_NAME).pc.in
	@sed -e 's;@prefix@;$(PREFIX);' -e 's;@libdir@;$(PREFIX)/lib;' -e 's;@VERSION@;$(FULL_VERSION);' -e 's;@LIBS@;;' -e 's;@LIBS_PRIVATE@;$(STATIC_LDFLAGS);' < $< > $@

$(PROJECT_NAME)-static.pc: $(PROJECT_NAME).pc.in
	@sed -e 's;@prefix@;$(PREFIX);' -e 's;@libdir@;$(PREFIX)/lib;' -e 's;@VERSION@;$(FULL_VERSION);' -e 's;@LIBS@;$(STATIC_LDFLAGS);' -e 's;@LIBS_PRIVATE@;;' < $< > $@

install-headers:
	mkdir -p $(DESTDIR)$(PREFIX)/include/wels
	install -m 644 $(SRC_PATH)/codec/api/svc/codec*.h $(DESTDIR)$(PREFIX)/include/wels

install-static-lib: $(LIBPREFIX)$(PROJECT_NAME).$(LIBSUFFIX) install-headers
	mkdir -p $(DESTDIR)$(PREFIX)/$(LIBDIR_NAME)
	install -m 644 $(LIBPREFIX)$(PROJECT_NAME).$(LIBSUFFIX) $(DESTDIR)$(PREFIX)/$(LIBDIR_NAME)

install-static: install-static-lib $(PROJECT_NAME)-static.pc
	mkdir -p $(DESTDIR)$(PREFIX)/$(LIBDIR_NAME)/pkgconfig
	install -m 644 $(PROJECT_NAME)-static.pc $(DESTDIR)$(PREFIX)/$(LIBDIR_NAME)/pkgconfig/$(PROJECT_NAME).pc

install-shared: $(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIX) install-headers $(PROJECT_NAME).pc
	mkdir -p $(DESTDIR)$(SHAREDLIB_DIR)
	install -m 755 $(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIXFULLVER) $(DESTDIR)$(SHAREDLIB_DIR)
	if [ "$(SHAREDLIBSUFFIXFULLVER)" != "$(SHAREDLIBSUFFIX)" ]; then \
	  cp -a $(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIXMAJORVER) $(DESTDIR)$(SHAREDLIB_DIR) ; \
	  cp -a $(LIBPREFIX)$(PROJECT_NAME).$(SHAREDLIBSUFFIX) $(DESTDIR)$(SHAREDLIB_DIR) ; \
	fi
	mkdir -p $(DESTDIR)$(PREFIX)/$(LIBDIR_NAME)/pkgconfig
	install -m 644 $(PROJECT_NAME).pc $(DESTDIR)$(PREFIX)/$(LIBDIR_NAME)/pkgconfig
ifneq ($(EXTRA_LIBRARY),)
	install -m 644 $(EXTRA_LIBRARY) $(DESTDIR)$(PREFIX)/$(LIBDIR_NAME)
endif

install: install-static-lib install-shared
	@:

ifneq ($(HAVE_GTEST),Yes)
binaries:
	@:
else
include $(SRC_PATH)build/gtest-targets.mk
include $(SRC_PATH)test/api/targets.mk
include $(SRC_PATH)test/decoder/targets.mk
include $(SRC_PATH)test/encoder/targets.mk
include $(SRC_PATH)test/processing/targets.mk
include $(SRC_PATH)test/common/targets.mk

LIBRARIES += $(LIBPREFIX)ut.$(LIBSUFFIX)
$(LIBPREFIX)ut.$(LIBSUFFIX): $(DECODER_UNITTEST_OBJS) $(ENCODER_UNITTEST_OBJS) $(PROCESSING_UNITTEST_OBJS) $(COMMON_UNITTEST_OBJS) $(API_TEST_OBJS)
	$(QUIET)rm -f $@
	$(QUIET_AR)$(AR) $(AR_OPTS) $+


LIBRARIES +=$(LIBPREFIX)ut.$(SHAREDLIBSUFFIX)
$(LIBPREFIX)ut.$(SHAREDLIBSUFFIX): $(DECODER_UNITTEST_OBJS) $(ENCODER_UNITTEST_OBJS) $(PROCESSING_UNITTEST_OBJS) $(API_TEST_OBJS) $(COMMON_UNITTEST_OBJS) $(CODEC_UNITTEST_DEPS)
	$(QUIET)rm -f $@

=== debian/changelog ===
openh264 (2.2.0+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * d/control: add Marc Leeman to Uploaders

 -- Marc Leeman <m.leeman@televic.com>  Wed, 16 Mar 2022 13:35:57 +0100

openh264 (2.2.0+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Also supply build tools to make install (Closes: #1006305)

 -- Bastian Germann <bage@debian.org>  Wed, 23 Feb 2022 07:15:26 +0100

openh264 (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg
  * Update Cisco binaries' SHA256 sums

 -- Bastian Germann <bage@debian.org>  Fri, 04 Feb 2022 15:50:23 +0100

openh264 (2.1.1+dfsg-2) unstable; urgency=medium

  * Cut out the +dfsg for download URL

 -- Bastian Germann <bage@debian.org>  Tue, 18 Jan 2022 20:24:42 +0100

openh264 (2.1.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #974678)

 -- Bastian Germann <bage@debian.org>  Thu, 13 May 2021 13:40:56 +0200

=== debian/control ===
Source: openh264
Priority: optional
Maintainer: Bastian Germann <bage@debian.org>
Uploaders: Marc Leeman <m.leeman@televic.com>
Build-Depends: debhelper-compat (= 13),
 nasm [any-amd64 any-i386]
Standards-Version: 4.5.1
Section: libs
Homepage: http://www.openh264.org
Vcs-Browser: https://salsa.debian.org/debian/openh264
Vcs-Git: https://salsa.debian.org/debian/openh264.git
Rules-Requires-Root: no

Package: libopenh264-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libopenh264-6 (= ${binary:Version})
Description: OpenH264 Video Codec - development files
 OpenH264 is a codec library which supports H.264 encoding and decoding.
 It is suitable for use in real time applications such as WebRTC.
 .
 This package contains the development files.

Package: libopenh264-6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenH264 Video Codec
 OpenH264 is a codec library which supports H.264 encoding and decoding.
 It is suitable for use in real time applications such as WebRTC.

Package: libopenh264-cisco6
Section: contrib/libs
Provides: libopenh264-6
Conflicts: libopenh264-6
Architecture: i386 amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends}, bzip2, libstdc++6, wget
Description: OpenH264 Video Codec provided by Cisco Systems, Inc.
 OpenH264 is a codec library which supports H.264 encoding and decoding.
 It is suitable for use in real time applications such as WebRTC.
 .
 In order to comply with the AVC/H.264 Patent Portfolio License Conditions,
 this package downloads the suitable binary for the architecture and
 installs it. Besides the download, this is an empty package.

## openh264 2.2.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: openh264
 Priority: optional
 Maintainer: Bastian Germann <bage@debian.org>
-Uploaders: Marc Leeman <m.leeman@televic.com>
 Build-Depends: debhelper-compat (= 13),
  nasm [any-amd64 any-i386]
 Standards-Version: 4.5.1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)

DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		ARCH=$(DEB_HOST_GNU_CPU) \
		LIBDIR_NAME=lib/$(DEB_HOST_MULTIARCH) \
		CFLAGS_OPT="$(CFLAGS) $(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr \
		ARCH=$(DEB_HOST_GNU_CPU) \
		LIBDIR_NAME=lib/$(DEB_HOST_MULTIARCH) \
		SHAREDLIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installchangelogs:
	dh_installchangelogs RELEASES

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,filenamemangle=s%.*/v(\d\S+)\.tar\.gz%openh264-$1.tar.gz%" \
  https://github.com/cisco/openh264/releases .*/v(\d\S+)\.tar\.gz debian

## openh264 2.3.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 USE_STACK_PROTECTOR = Yes
 
 SHAREDLIB_MAJORVERSION=6
-FULL_VERSION := 2.2.0
+FULL_VERSION := 2.3.0
 
 ifeq (,$(wildcard $(SRC_PATH)gmp-api))
 HAVE_GMP_API=No
@@ -104,7 +104,7 @@
 endif
 
 
-INCLUDES += -I$(SRC_PATH)codec/api/svc -I$(SRC_PATH)codec/common/inc -Icodec/common/inc
+INCLUDES += -I$(SRC_PATH)codec/api/wels -I$(SRC_PATH)codec/common/inc -Icodec/common/inc
 
 DECODER_INCLUDES += \
     -I$(SRC_PATH)codec/decoder/core/inc \
@@ -293,7 +293,7 @@
 
 install-headers:
 	mkdir -p $(DESTDIR)$(PREFIX)/include/wels
-	install -m 644 $(SRC_PATH)/codec/api/svc/codec*.h $(DESTDIR)$(PREFIX)/include/wels
+	install -m 644 $(SRC_PATH)/codec/api/wels/codec*.h $(DESTDIR)$(PREFIX)/include/wels
 
 install-static-lib: $(LIBPREFIX)$(PROJECT_NAME).$(LIBSUFFIX) install-headers
 	mkdir -p $(DESTDIR)$(PREFIX)/$(LIBDIR_NAME)

=== debian/changelog ===
openh264 (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3.0+dfsg
  * d/copyright: Add info from new upstream version

 -- Bastian Germann <bage@debian.org>  Mon, 15 Aug 2022 22:46:57 +0200

openh264 (2.2.0+dfsg-3) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Patch: Add x32 build flavour (Closes: #1013097)

 -- Bastian Germann <bage@debian.org>  Fri, 17 Jun 2022 09:20:50 +0200

## openh264 2.3.1%2Bdfsg

=== debian/changelog ===
openh264 (2.3.1+dfsg-3) unstable; urgency=medium

  * d/rules: Replace DEB_HOST_GNU_CPU with DEB_HOST_ARCH (Closes: #1013097)
  * Patch: Prevent building armel with NEON

 -- Bastian Germann <bage@debian.org>  Mon, 28 Nov 2022 19:01:59 +0100

openh264 (2.3.1+dfsg-2) unstable; urgency=medium

  * Fix SHA256 checksums for 2.3.1

 -- Bastian Germann <bage@debian.org>  Thu, 29 Sep 2022 11:31:18 +0200

openh264 (2.3.1+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields.
  * Update standards version to 4.6.0, no changes needed.

  [ Bastian Germann ]
  * d/watch: Switch to GitHub tags (releases page changed)
  * Move to SO version 7
  * New upstream version 2.3.1+dfsg

 -- Bastian Germann <bage@debian.org>  Thu, 29 Sep 2022 11:02:42 +0200

openh264 (2.3.0+dfsg-2) unstable; urgency=medium

  * Fix SHA256 checksums for 2.3.0

 -- Bastian Germann <bage@debian.org>  Mon, 29 Aug 2022 16:07:48 +0200

## openh264 2.3.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 STRIP ?= strip
 USE_STACK_PROTECTOR = Yes
 
-SHAREDLIB_MAJORVERSION=6
-FULL_VERSION := 2.3.0
+SHAREDLIB_MAJORVERSION=7
+FULL_VERSION := 2.3.1
 
 ifeq (,$(wildcard $(SRC_PATH)gmp-api))
 HAVE_GMP_API=No

=== debian/changelog ===
openh264 (2.3.1+dfsg-3+deb12u2) bookworm; urgency=medium

  * Fix Cisco download (Closes: #1099030)

 -- Bastian Germann <bage@debian.org>  Thu, 27 Feb 2025 20:02:00 +0100

openh264 (2.3.1+dfsg-3+deb12u1) bookworm-security; urgency=medium

  * Let libopenh264-cisco7 install version 2.6.0
  * Backport CVE-2025-27091 fix (Closes: #1098470)

 -- Bastian Germann <bage@debian.org>  Fri, 21 Feb 2025 10:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Maintainer: Bastian Germann <bage@debian.org>
 Build-Depends: debhelper-compat (= 13),
  nasm [any-amd64 any-i386]
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
-Homepage: http://www.openh264.org
+Homepage: https://www.openh264.org
 Vcs-Browser: https://salsa.debian.org/debian/openh264
 Vcs-Git: https://salsa.debian.org/debian/openh264.git
 Rules-Requires-Root: no
@@ -14,14 +14,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libopenh264-6 (= ${binary:Version})
+Depends: ${misc:Depends}, libopenh264-7 (= ${binary:Version})
 Description: OpenH264 Video Codec - development files
  OpenH264 is a codec library which supports H.264 encoding and decoding.
  It is suitable for use in real time applications such as WebRTC.
  .
  This package contains the development files.
 
-Package: libopenh264-6
+Package: libopenh264-7
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -29,10 +29,10 @@
  OpenH264 is a codec library which supports H.264 encoding and decoding.
  It is suitable for use in real time applications such as WebRTC.
 
-Package: libopenh264-cisco6
+Package: libopenh264-cisco7
 Section: contrib/libs
-Provides: libopenh264-6
-Conflicts: libopenh264-6
+Provides: libopenh264-7
+Conflicts: libopenh264-7
 Architecture: i386 amd64 arm64 armhf
 Multi-Arch: same
 Depends: ${misc:Depends}, bzip2, libstdc++6, wget

=== debian/rules ===
--- 
+++ 
@@ -7,18 +7,22 @@
 DPKG_EXPORT_BUILDTOOLS=1
 -include /usr/share/dpkg/buildtools.mk
 
+ifeq ($(DEB_HOST_ARCH),amd64)
+export ARCH=x86_64
+else
+export ARCH=$(DEB_HOST_ARCH)
+endif
+
 %:
 	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- \
-		ARCH=$(DEB_HOST_GNU_CPU) \
 		LIBDIR_NAME=lib/$(DEB_HOST_MULTIARCH) \
 		CFLAGS_OPT="$(CFLAGS) $(CPPFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr \
-		ARCH=$(DEB_HOST_GNU_CPU) \
 		LIBDIR_NAME=lib/$(DEB_HOST_MULTIARCH) \
 		SHAREDLIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,filenamemangle=s%.*/v(\d\S+)\.tar\.gz%openh264-$1.tar.gz%" \
  https://github.com/cisco/openh264/tags .*/v(\d\S+)\.tar\.gz debian

## openh264 2.4.0+dfsg

=== debian/changelog ===
openh264 (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.0+dfsg
  * d/copyright: Introduce wildcards to cover new files
  * Fix SHA256 checksums for 2.4.0
  * Drop upstream patch

 -- Bastian Germann <bage@debian.org>  Wed, 29 Nov 2023 17:02:28 +0100

openh264 (2.3.1+dfsg-4) unstable; urgency=medium

  * Move to Multimedia Maintainers

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 13:14:18 +0200

## openh264 2.4.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -29,15 +29,17 @@
 SHAREDLIB_DIR=$(PREFIX)/lib
 PROJECT_NAME=openh264
 MODULE_NAME=gmpopenh264
-GMP_API_BRANCH=Firefox39
+GMP_API_BRANCH=Firefox114_2
 GTEST_VER=release-1.8.1
 CCASFLAGS=$(CFLAGS)
 STATIC_LDFLAGS=-lstdc++
 STRIP ?= strip
 USE_STACK_PROTECTOR = Yes
+USE_LOW_VERSION_NDK=No
+USE_ANT=No
 
 SHAREDLIB_MAJORVERSION=7
-FULL_VERSION := 2.3.1
+FULL_VERSION := 2.4.1
 
 ifeq (,$(wildcard $(SRC_PATH)gmp-api))
 HAVE_GMP_API=No
@@ -80,7 +82,17 @@
 # Make sure the all target is the first one
 all: libraries binaries
 
+ifeq (android, $(OS))
+USE_LOW_VERSION_NDK = $(shell $(SRC_PATH)build/ndk-version-check.sh $(NDKROOT))
+ifeq (Yes, $(USE_LOW_VERSION_NDK))
+USE_ANT = Yes
+include $(SRC_PATH)build/platform-android-r18b.mk
+else
+include $(SRC_PATH)build/platform-android.mk
+endif
+else
 include $(SRC_PATH)build/platform-$(OS).mk
+endif
 
 MODULE := $(LIBPREFIX)$(MODULE_NAME).$(SHAREDLIBSUFFIX)
 
@@ -332,10 +344,3 @@
 
 LIBRARIES += $(LIBPREFIX)ut.$(LIBSUFFIX)
 $(LIBPREFIX)ut.$(LIBSUFFIX): $(DECODER_UNITTEST_OBJS) $(ENCODER_UNITTEST_OBJS) $(PROCESSING_UNITTEST_OBJS) $(COMMON_UNITTEST_OBJS) $(API_TEST_OBJS)
-	$(QUIET)rm -f $@
-	$(QUIET_AR)$(AR) $(AR_OPTS) $+
-
-
-LIBRARIES +=$(LIBPREFIX)ut.$(SHAREDLIBSUFFIX)
-$(LIBPREFIX)ut.$(SHAREDLIBSUFFIX): $(DECODER_UNITTEST_OBJS) $(ENCODER_UNITTEST_OBJS) $(PROCESSING_UNITTEST_OBJS) $(API_TEST_OBJS) $(COMMON_UNITTEST_OBJS) $(CODEC_UNITTEST_DEPS)
-	$(QUIET)rm -f $@

=== debian/changelog ===
openh264 (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.1+dfsg
  * Replace wget and bzip2 with apt-helper
  * Fix SHA256 checksums for 2.4.1

 -- Bastian Germann <bage@debian.org>  Thu, 15 Feb 2024 20:40:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: openh264
 Priority: optional
-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Bastian Germann <bage@debian.org>
 Build-Depends: debhelper-compat (= 13),
  nasm [any-amd64 any-i386]
 Standards-Version: 4.6.0
@@ -35,7 +36,8 @@
 Conflicts: libopenh264-7
 Architecture: i386 amd64 arm64 armhf
 Multi-Arch: same
-Depends: ${misc:Depends}, bzip2, libstdc++6, wget
+Depends: ${misc:Depends}, libstdc++6
+# Please note that the short Description reflects a license requirement
 Description: OpenH264 Video Codec provided by Cisco Systems, Inc.
  OpenH264 is a codec library which supports H.264 encoding and decoding.
  It is suitable for use in real time applications such as WebRTC.

## openh264 2.5.0+dfsg

=== debian/changelog ===
openh264 (2.5.0+dfsg-2) unstable; urgency=high

  * Add CVE note on libopenh264-cisco7 Description
  * Backport CVE-2025-27091 fix (Closes: #1098470)

 -- Bastian Germann <bage@debian.org>  Fri, 21 Feb 2025 10:38:08 +0100

openh264 (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.0+dfsg
  * Add new copyright statement
  * Fix SHA256 checksums for 2.5.0

 -- Bastian Germann <bage@debian.org>  Mon, 11 Nov 2024 08:44:22 +0100

=== debian/control ===
--- 
+++ 
@@ -45,3 +45,5 @@
  In order to comply with the AVC/H.264 Patent Portfolio License Conditions,
  this package downloads the suitable binary for the architecture and
  installs it. Besides the download, this is an empty package.
+ .
+ SECURITY WARNING: This is accected by CVE-2025-27091.

## openh264 2.6.0

=== debian/changelog ===
openh264 (2.6.0-1aatgv1) stable; urgency=low

  * New upstream from https://github.com/cisco/openh264/releases
  * Adjust debian/*.rsbac

 -- Amon Ott <ao@m-privacy.de>  Fri, 14 Feb 2025 13:46:00 +0100

openh264 (2.5.0-1aaxmp2) stable; urgency=low

  * Rebuild with SBOM

 -- Amon Ott <ao@m-privacy.de>  Tue, 28 Jan 2025 09:19:00 +0100

openh264 (2.5.0-1aaxmp1) stable; urgency=low

  * New upstream from https://github.com/cisco/openh264/releases
  * Adjust debian/*.rsbac

 -- Amon Ott <ao@m-privacy.de>  Tue, 12 Nov 2024 08:22:00 +0100

openh264 (2.4.1-1aaxmp1) stable; urgency=low

  * Rebuild with GCC 14

 -- Amon Ott <ao@m-privacy.de>  Tue, 01 Oct 2024 09:55:00 +0200

openh264 (2.4.1-1aavmp1) stable; urgency=low

  * New upstream from https://github.com/cisco/openh264/releases
  * Adjust debian/*.rsbac

 -- Amon Ott <ao@m-privacy.de>  Thu, 08 Feb 2024 13:54:00 +0100

openh264 (2.4.0-1aavmp1) stable; urgency=low

  * New upstream from https://github.com/cisco/openh264/releases
  * Adjust debian/*.rsbac

 -- Amon Ott <ao@m-privacy.de>  Thu, 28 Dec 2023 11:35:00 +0100

openh264 (2.3.1-2aavmp1) stable; urgency=low

  * Rebuild with GCC 13

 -- Amon Ott <ao@m-privacy.de>  Fri, 07 Jul 2023 13:10:00 +0200

openh264 (2.3.1-2aaump1) stable; urgency=low

  * debian/rules:
    - export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects

 -- Amon Ott <ao@m-privacy.de>  Mon, 27 Feb 2023 08:06:00 +0100

openh264 (2.3.1-1) stable; urgency=low

  * New upstream from https://github.com/cisco/openh264/releases
  * Adjust debian/*.rsbac

 -- Amon Ott <ao@m-privacy.de>  Fri, 30 Sep 2022 11:30:00 +0200

openh264 (2.3.0-1) stable; urgency=low

  * New upstream from https://github.com/cisco/openh264/releases
  * Adjust debian/*.rsbac

 -- Amon Ott <ao@m-privacy.de>  Mon, 01 Aug 2022 14:33:00 +0200

openh264 (2.2.0-2) stable; urgency=low

  * Build with GCC 12

 -- Amon Ott <ao@m-privacy.de>  Fri, 17 Jun 2022 11:00:00 +0200

openh264 (2.2.0-1) stable; urgency=low

  * New upstream from https://github.com/cisco/openh264/releases
  * Adjust debian/*.rsbac

 -- Amon Ott <ao@m-privacy.de>  Thu, 21 Apr 2022 09:40:00 +0200

openh264 (2.1.1-4) stable; urgency=low

  * Rebuild with latest GCC 11

 -- Amon Ott <ao@m-privacy.de>  Thu, 18 Nov 2021 13:49:00 +0100

openh264 (2.1.1-3) stable; urgency=low

  * Rebuild with latest GCC 10

 -- Amon Ott <ao@m-privacy.de>  Wed, 14 Apr 2021 15:27:00 +0200

openh264 (2.1.1-2) stable; urgency=low

  * debian/rules:
    - add -DHAVE_AVX2 -mavx2 -O3 to CFLAGS etc.

 -- Amon Ott <ao@m-privacy.de>  Mon, 07 Dec 2020 09:24:00 +0100

openh264 (2.1.1-1) stable; urgency=low

  * Initial from
    https://github.com/cisco/openh264/releases

 -- Amon Ott <ao@m-privacy.de>  Thu, 29 Oct 2020 09:28:00 +0100

=== debian/control ===
Source: openh264
Section: main
Priority: optional
Maintainer: Amon Ott <ao@m-privacy>
Build-Depends: debhelper (>> 3.0.0), build-essential, nasm, meson, pkg-config,
	libgtest-dev
Standards-Version: 3.5.2

Package: libopenh264
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}
Description: m-privacy openh264 lib
 m-privacy openh264 lib

Package: libopenh264-dev
Architecture: any
Depends: ${shlibs:Depends}, libopenh264 (>= 2.1.1)
Description: m-privacy openh264 lib dev
 m-privacy openh264 lib dev

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=9

# m-privacy
export DEB_CFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
export DEB_CXXFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects
export DEB_LDFLAGS_MAINT_APPEND += -march=x86-64-v2 -mtune=generic -flto=16 -ffat-lto-objects

#DEB_BUILD_MULTIARCH = $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	meson builddir
	meson configure builddir -Dprefix=/usr -Ddefault_library=both -Doptimization=3
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	ninja -C builddir
#	meson test -C builddir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	# Add here commands to install the package into debian/mprivacy-tools.
	DESTDIR=../debian/tmp meson install -C builddir/
	mkdir -p debian/libopenh264/usr/lib/$(DEB_BUILD_MULTIARCH)/
	cp -a debian/tmp/usr/local/lib/$(DEB_BUILD_MULTIARCH)/*.so.* debian/libopenh264/usr/lib/$(DEB_BUILD_MULTIARCH)/ || true
	cp -a debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/*.so.* debian/libopenh264/usr/lib/$(DEB_BUILD_MULTIARCH)/ || true
	mkdir -p debian/libopenh264-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/
	cp -a debian/tmp/usr/local/lib/$(DEB_BUILD_MULTIARCH)/*.a debian/tmp/usr/local/lib/$(DEB_BUILD_MULTIARCH)/*.so debian/tmp/usr/local/lib/$(DEB_BUILD_MULTIARCH)/pkgconfig debian/libopenh264-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/ || true
	cp -a debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/*.a debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/*.so debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/pkgconfig debian/libopenh264-dev/usr/lib/$(DEB_BUILD_MULTIARCH)/ || true
	mkdir -p debian/libopenh264-dev/usr/include
	cp -a debian/tmp/usr/local/include/* debian/libopenh264-dev/usr/include/ || true
	cp -a debian/tmp/usr/include/* debian/libopenh264-dev/usr/include/ || true

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
#	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
	dh_strip
	mp_rsbac
	dh_compress
	dh_fixperms
	dh_makeshlibs -VUpstream-Version
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## openh264 2.6.0%2Bdfsg

=== debian/changelog ===
openh264 (2.6.0+dfsg-2) unstable; urgency=medium

  * Remove libopenh264.so.8 library from the right path

 -- Bastian Germann <bage@debian.org>  Thu, 27 Feb 2025 19:58:32 +0100

openh264 (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.0+dfsg (Closes: #1098470, CVE-2025-27091)
  * Fix SHA256 checksums for 2.6.0
  * Rename binary pkgs because of SO bump

 -- Bastian Germann <bage@debian.org>  Fri, 21 Feb 2025 08:30:38 +0100

## openh264 2.6.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 SHAREDLIB_DIR=$(PREFIX)/lib
 PROJECT_NAME=openh264
 MODULE_NAME=gmpopenh264
-GMP_API_BRANCH=Firefox114_2
+GMP_API_BRANCH=Firefox135
 GTEST_VER=release-1.8.1
 CCASFLAGS=$(CFLAGS)
 STATIC_LDFLAGS=-lstdc++
@@ -38,8 +38,8 @@
 USE_LOW_VERSION_NDK=No
 USE_ANT=No
 
-SHAREDLIB_MAJORVERSION=7
-FULL_VERSION := 2.4.1
+SHAREDLIB_MAJORVERSION=8
+FULL_VERSION := 2.6.0
 
 ifeq (,$(wildcard $(SRC_PATH)gmp-api))
 HAVE_GMP_API=No
@@ -344,3 +344,4 @@
 
 LIBRARIES += $(LIBPREFIX)ut.$(LIBSUFFIX)
 $(LIBPREFIX)ut.$(LIBSUFFIX): $(DECODER_UNITTEST_OBJS) $(ENCODER_UNITTEST_OBJS) $(PROCESSING_UNITTEST_OBJS) $(COMMON_UNITTEST_OBJS) $(API_TEST_OBJS)
+	$(QUIET)rm -f $@

=== meson_options.txt ===
option('tests', type : 'feature', value : 'auto', yield : true)

=== debian/control ===
Source: openh264
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Bastian Germann <bage@debian.org>
Build-Depends: debhelper-compat (= 13),
 nasm [any-amd64 any-i386]
Standards-Version: 4.6.0
Section: libs
Homepage: https://www.openh264.org
Vcs-Browser: https://salsa.debian.org/debian/openh264
Vcs-Git: https://salsa.debian.org/debian/openh264.git
Rules-Requires-Root: no

Package: libopenh264-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libopenh264-8 (= ${binary:Version})
Description: OpenH264 Video Codec - development files
 OpenH264 is a codec library which supports H.264 encoding and decoding.
 It is suitable for use in real time applications such as WebRTC.
 .
 This package contains the development files.

Package: libopenh264-8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenH264 Video Codec
 OpenH264 is a codec library which supports H.264 encoding and decoding.
 It is suitable for use in real time applications such as WebRTC.

Package: libopenh264-cisco8
Section: contrib/libs
Provides: libopenh264-8
Conflicts: libopenh264-8
Architecture: i386 amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends}, libstdc++6
# Please note that the short Description reflects a license requirement
Description: OpenH264 Video Codec provided by Cisco Systems, Inc.
 OpenH264 is a codec library which supports H.264 encoding and decoding.
 It is suitable for use in real time applications such as WebRTC.
 .
 In order to comply with the AVC/H.264 Patent Portfolio License Conditions,
 this package downloads the suitable binary for the architecture and
 installs it. Besides the download, this is an empty package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)

DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

ifeq ($(DEB_HOST_ARCH),amd64)
export ARCH=x86_64
else
export ARCH=$(DEB_HOST_ARCH)
endif

%:
	dh $@

override_dh_auto_build:
	sed s/DEB_HOST_MULTIARCH/$$DEB_HOST_MULTIARCH/g debian/libopenh264-cisco8.prerm.in > debian/libopenh264-cisco8.prerm
	dh_auto_build -- \
		LIBDIR_NAME=lib/$(DEB_HOST_MULTIARCH) \
		CFLAGS_OPT="$(CFLAGS) $(CPPFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr \
		LIBDIR_NAME=lib/$(DEB_HOST_MULTIARCH) \
		SHAREDLIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installchangelogs:
	dh_installchangelogs RELEASES
